TechDraw AngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
mNo edit summary
Line 1: Line 1:
<translate>
<translate>
<!--T:1-->
<!--T:1-->
{{GuiCommand|Name=TechDraw Dimension_Angle|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension_Angle|Shortcut=|SeeAlso=}}
{{GuiCommand|Name=TechDraw Dimension Angle|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Angle|Shortcut=|SeeAlso=}}


==Description== <!--T:2-->
==Description== <!--T:2-->
The Dimension_Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|16]] tool.
The Dimension_Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|24px]] tool.
[[File:AngleSample.png|200px|center]]
[[File:AngleSample.png|200px|center]]


==How to use== <!--T:3-->
==How to use== <!--T:3-->
# Select the points or edge which define your measurement.
# Select the points or edge which define your measurement.
# Press the {{KEY|[[Image:Dimension_Angle.png|16]] [[TechDraw Dimension_Angle]]}} button
# Press the {{KEY|[[Image:Dimension_Angle.png|24px]] [[TechDraw Dimension Angle|Dimension Angle]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.



Revision as of 20:27, 18 October 2016

TechDraw Dimension Angle

Menu location
TechDraw → Dimension Angle
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension_Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Angle.png Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • DataX: Angle position of the dimension text relative to the View.
  • DataY: Angle position of the dimension text relative to the View.
  • DataFont: The name of the font to use for the dimension text.
  • DataFontsize: Dimension text size in mm.
  • DataFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • DataLineWidth: Dimension line weight.
  • DataType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • DataMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

Angle dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • None at this time